
From: Ingo Molnar <mingo@elte.hu>

the patch below adds a touch_softlockup_watchdog() call to every
touch_nmi_watchdog() call.

[A future consolidation patch should introduce a touch_watchdogs() call
that will do both a touch_nmi_watchdog() [if available on the platform] and
a touch_softlockup_watchdog() call.]

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/nmi.c   |    5 +++++
 25-akpm/arch/x86_64/kernel/nmi.c |    5 +++++
 2 files changed, 10 insertions(+)

diff -puN arch/i386/kernel/nmi.c~detect-soft-lockups-from-touch_nmi_watchdog arch/i386/kernel/nmi.c
--- 25/arch/i386/kernel/nmi.c~detect-soft-lockups-from-touch_nmi_watchdog	2005-03-11 02:32:58.000000000 -0800
+++ 25-akpm/arch/i386/kernel/nmi.c	2005-03-11 02:32:58.000000000 -0800
@@ -469,6 +469,11 @@ void touch_nmi_watchdog (void)
 	 */
 	for (i = 0; i < NR_CPUS; i++)
 		alert_counter[i] = 0;
+
+	/*
+	 * Tickle the softlockup detector too:
+	 */
+	touch_softlockup_watchdog();
 }
 
 extern void die_nmi(struct pt_regs *, const char *msg);
diff -puN arch/x86_64/kernel/nmi.c~detect-soft-lockups-from-touch_nmi_watchdog arch/x86_64/kernel/nmi.c
--- 25/arch/x86_64/kernel/nmi.c~detect-soft-lockups-from-touch_nmi_watchdog	2005-03-11 02:32:58.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/nmi.c	2005-03-11 02:32:58.000000000 -0800
@@ -378,6 +378,11 @@ void touch_nmi_watchdog (void)
 	 */
 	for (i = 0; i < NR_CPUS; i++)
 		alert_counter[i] = 0;
+
+	/*
+	 * Tickle the softlockup detector too:
+	 */
+	touch_softlockup_watchdog();
 }
 
 void nmi_watchdog_tick (struct pt_regs * regs, unsigned reason)
_
